Name:           tcpjunk
Version:        2.649
Release:        2%{?dist}
Summary:        TCP protocols testing tool

Group:          Applications/Internet
License:        GPLv2+
URL:            http://code.google.com/p/tcpjunk/
Source0:        http://tcpjunk.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  openssl-devel
BuildRequires:  gtk2-devel
BuildRequires:  pkgconfig

BuildRequires:  desktop-file-utils


%description
TCPJunk is a TCP protocols manipulation and hacking utility that can
be used in different ways. Similar to netcat, TCPJunk can be used as
a client or server, but instead of stdin, it uses a 'Session file' as
the data to send or receive. TCPJunk can be used as a general testing
tool, a traffic generator or a fuzzer, for protocols such as HTTP,
SMTP, POP3, IMAP, FTP and others.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} \
    tcpjunkdocdir=%{_defaultdocdir}/%{name}-%{version} INSTALL="install -p"
desktop-file-install                                    \
    --dir=%{buildroot}%{_datadir}/applications              \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Mar 10 2009 Fabian Affolter <fabian@bernewireless.net> - 2.649-2
- Changed license

* Sun Feb 22 2009 Fabian Affolter <fabian@bernewireless.net> - 2.649-1
- Updated to new upstream version 2.649
- .desktop file and icon are now in the source
- Added the doc files and configure

* Sun Feb 22 2009 Fabian Affolter <fabian@bernewireless.net> - 2.643-1
- Initial spec for Fedora

